﻿/*
* Callouts
*/
:root {
    --bs-blue: #0d6efd;
    --bs-indigo: #6610f2;
    --bs-purple: #6f42c1;
    --bs-pink: #d63384;
    --bs-red: #dc3545;
    --bs-orange: #fd7e14;
    --bs-yellow: #ffc107;
    --bs-green: #198754;
    --bs-teal: #20c997;
    --bs-cyan: #0dcaf0;
    --bs-black: #000;
    --bs-white: #fff;
    --bs-gray: #6c757d;
    --bs-gray-dark: #343a40;
    --bs-gray-100: #f8f9fa;
    --bs-gray-200: #e9ecef;
    --bs-gray-300: #dee2e6;
    --bs-gray-400: #ced4da;
    --bs-gray-500: #adb5bd;
    --bs-gray-600: #6c757d;
    --bs-gray-700: #495057;
    --bs-gray-800: #343a40;
    --bs-gray-900: #212529;
    --bs-primary: #0d6efd;
    --bs-secondary: #6c757d;
    --bs-success: #198754;
    --bs-info: #0dcaf0;
    --bs-warning: #ffc107;
    --bs-danger: #dc3545;
    --bs-light: #f8f9fa;
    --bs-dark: #212529;
    --bs-primary-rgb: 13,110,253;
    --bs-secondary-rgb: 108,117,125;
    --bs-success-rgb: 25,135,84;
    --bs-info-rgb: 13,202,240;
    --bs-warning-rgb: 255,193,7;
    --bs-danger-rgb: 220,53,69;
    --bs-light-rgb: 248,249,250;
    --bs-dark-rgb: 33,37,41;
    --bs-primary-text-emphasis: #052c65;
    --bs-secondary-text-emphasis: #2b2f32;
    --bs-success-text-emphasis: #0a3622;
    --bs-info-text-emphasis: #055160;
    --bs-warning-text-emphasis: #664d03;
    --bs-danger-text-emphasis: #58151c;
    --bs-light-text-emphasis: #495057;
    --bs-dark-text-emphasis: #495057;
    --bs-primary-bg-subtle: #cfe2ff;
    --bs-secondary-bg-subtle: #e2e3e5;
    --bs-success-bg-subtle: #d1e7dd;
    --bs-info-bg-subtle: #cff4fc;
    --bs-warning-bg-subtle: #fff3cd;
    --bs-danger-bg-subtle: #f8d7da;
    --bs-light-bg-subtle: #fcfcfd;
    --bs-dark-bg-subtle: #ced4da;
    --bs-primary-border-subtle: #9ec5fe;
    --bs-secondary-border-subtle: #c4c8cb;
    --bs-success-border-subtle: #a3cfbb;
    --bs-info-border-subtle: #9eeaf9;
    --bs-warning-border-subtle: #ffe69c;
    --bs-danger-border-subtle: #f1aeb5;
    --bs-light-border-subtle: #e9ecef;
    --bs-dark-border-subtle: #adb5bd;
    --bs-white-rgb: 255,255,255;
    --bs-black-rgb: 0,0,0;
    /*--bs-font-sans-serif: system-ui,-apple-system,"Segoe UI",Roboto,"Helvetica Neue","Noto Sans","Liberation Sans",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";
    --bs-font-monospace: SFMono-Regular,Menlo,Monaco,Consolas,"Liberation Mono","Courier New",monospace;
    --bs-gradient: linear-gradient(180deg, rgba(255, 255, 255, 0.15), rgba(255, 255, 255, 0));
    --bs-body-font-family: var(--bs-font-sans-serif);
    --bs-body-font-size: 1rem;
    --bs-body-font-weight: 400;
    --bs-body-line-height: 1.5;*/
    --bs-body-color: #212529;
    --bs-body-color-rgb: 33,37,41;
    --bs-body-bg: #fff;
    --bs-body-bg-rgb: 255,255,255;
    --bs-emphasis-color: #000;
    --bs-emphasis-color-rgb: 0,0,0;
    --bs-secondary-color: rgba(33, 37, 41, 0.75);
    --bs-secondary-color-rgb: 33,37,41;
    --bs-secondary-bg: #e9ecef;
    --bs-secondary-bg-rgb: 233,236,239;
    --bs-tertiary-color: rgba(33, 37, 41, 0.5);
    --bs-tertiary-color-rgb: 33,37,41;
    --bs-tertiary-bg: #f8f9fa;
    --bs-tertiary-bg-rgb: 248,249,250;
    --bs-link-color: #0d6efd;
    --bs-link-color-rgb: 13,110,253;
    --bs-link-decoration: underline;
    --bs-link-hover-color: #0a58ca;
    --bs-link-hover-color-rgb: 10,88,202;
    --bs-code-color: #d63384;
    --bs-highlight-bg: #fff3cd;
    --bs-border-width: 1px;
    --bs-border-style: solid;
    --bs-border-color: #dee2e6;
    --bs-border-color-translucent: rgba(0, 0, 0, 0.175);
    --bs-border-radius: 0.375rem;
    --bs-border-radius-sm: 0.25rem;
    --bs-border-radius-lg: 0.5rem;
    --bs-border-radius-xl: 1rem;
    --bs-border-radius-xxl: 2rem;
    --bs-border-radius-2xl: var(--bs-border-radius-xxl);
    --bs-border-radius-pill: 50rem;
    --bs-box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
    --bs-box-shadow-sm: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
    --bs-box-shadow-lg: 0 1rem 3rem rgba(0, 0, 0, 0.175);
    --bs-box-shadow-inset: inset 0 1px 2px rgba(0, 0, 0, 0.075);
    --bs-focus-ring-width: 0.25rem;
    --bs-focus-ring-opacity: 0.25;
    --bs-focus-ring-color: rgba(13, 110, 253, 0.25);
    --bs-form-valid-color: #198754;
    --bs-form-valid-border-color: #198754;
    --bs-form-invalid-color: #dc3545;
    --bs-form-invalid-border-color: #dc3545;
    --bd-purple: #4c0bce;
    --bd-violet: #712cf9;
    --bd-accent: #ffe484;
    --bd-violet-rgb: 112.520718,44.062154,249.437846;
    --bd-accent-rgb: 255,228,132;
    --bd-pink-rgb: 214,51,132;
    --bd-teal-rgb: 32,201,151;
    --bd-violet-bg: var(--bd-violet);
    --bd-toc-color: var(--bd-violet);
    --bd-sidebar-link-bg: rgba(var(--bd-violet-rgb), .1);
    --bd-callout-link: 10,88,202;
    --bd-callout-code-color: #ab296a;
    --bd-pre-bg: var(--bs-tertiary-bg)
}

.bd-callout {
    --bs-link-color-rgb: var(--bd-callout-link);
    --bs-code-color: var(--bd-callout-code-color);
    padding: 1.25rem;
    margin-top: 1.25rem;
    margin-bottom: 1.25rem;
    color: var(--bd-callout-color, inherit);
    background-color: var(--bd-callout-bg, var(--bs-gray-100));
    border-left: 0.25rem solid var(--bd-callout-border, var(--bs-gray-300))
}

    .bd-callout h4 {
        margin-bottom: .25rem
    }

    .bd-callout > :last-child {
        margin-bottom: 0
    }

    .bd-callout + .bd-callout {
        margin-top: -.25rem
    }

    .bd-callout .highlight {
        background-color: rgba(0,0,0,0.05)
    }

.bd-callout-info {
    --bd-callout-color: var(--bs-info-text-emphasis);
    --bd-callout-bg: var(--bs-info-bg-subtle);
    --bd-callout-border: var(--bs-info-border-subtle)
}

.bd-callout-warning {
    --bd-callout-color: var(--bs-warning-text-emphasis);
    --bd-callout-bg: var(--bs-warning-bg-subtle);
    --bd-callout-border: var(--bs-warning-border-subtle)
}

.bd-callout-danger {
    --bd-callout-color: var(--bs-danger-text-emphasis);
    --bd-callout-bg: var(--bs-danger-bg-subtle);
    --bd-callout-border: var(--bs-danger-border-subtle)
}

.has-ripple {
    position: relative;
    overflow: hidden;
    -webkit-transform: translate3d(0,0,0);
    -o-transform: translate3d(0,0,0);
    transform: translate3d(0,0,0);
}

.ripple {
    display: block;
    position: absolute;
    pointer-events: none;
    border-radius: 50%;
    -webkit-transform: scale(0);
    -o-transform: scale(0);
    transform: scale(0);
    background: #fff;
    opacity: 1;
}

.ripple-animate {
    -webkit-animation: ripple;
    -o-animation: ripple;
    animation: ripple;
}

@-webkit-keyframes ripple {
    100% {
        opacity: 0;
        -webkit-transform: scale(2);
        transform: scale(2);
    }
}

@-o-keyframes ripple {
    100% {
        opacity: 0;
        -o-transform: scale(2);
        transform: scale(2);
    }
}

@keyframes ripple {
    100% {
        opacity: 0;
        transform: scale(2);
    }
}

.text-uppercase {
    text-transform: uppercase !important;
}

.nav-tabs .nav-link {
    border: none;
    background: no-repeat center bottom, center 100%;
    background-size: 0 100%, 100% 100%;
    transition: background 0.3s ease-out;
    background-image: linear-gradient(to top, #4680ff 2px, rgba(255, 255, 255, 0) 2px);
    border-top-left-radius: 0.25rem;
    border-top-right-radius: 0.25rem;
}

    .nav-tabs .nav-link.active {
        background-size: 100% 100%, 100% 100%;
    }

    .nav-tabs .nav-link.active, .nav-tabs .nav-item.show .nav-link {
        color: #495057;
        border-color: #dee2e6 #dee2e6 #fff;
    }

.nav-link {
    display: block;
    padding: 0.5rem 1rem;
}

.empty-message {
    padding: 5px 10px;
    text-align: center;
}

.header-message {
    padding: 5px 10px;
}

.footer-message {
    padding: 5px 10px;
    text-align: center;
}

.twitter-typeahead, .tt-hint, .tt-input, .tt-menu {
    width: 100%;
}

.no-highlighting strong {
    font-weight: normal;
}

.kk_dropdown.show, .open > .dropdown-menu {
    display: block;
    opacity: 1;
    -webkit-animation-name: kk-dropdown-animation;
    animation-name: kk-dropdown-animation;
    -webkit-animation-duration: 0.3s;
    animation-duration: 0.3s;
    -webkit-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
    -webkit-animation-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    animation-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
}

@-webkit-keyframes kk-dropdown-animation {
    0% {
        opacity: 0;
        transform: scale(0);
    }

    100% {
        opacity: 1;
        transform: scale(1);
    }
}

@keyframes kk-dropdown-animation {
    0% {
        opacity: 0;
        transform: scale(0);
    }

    100% {
        opacity: 1;
        transform: scale(1);
    }
}


.kk_dropdown {
    box-shadow: 0px 15px 40px 0px rgba(0,0,0,0.20);
}

.dropdown-toggle::after {
    border: none;
    font: normal normal normal 12px/1 'Font Awesome 5 Pro';
    content: "\f078";
    vertical-align: 0;
}

.widget-card {
    background-clip: border-box;
    margin: 0 !important;
    overflow: hidden;
}

    .widget-card:hover {
        box-shadow: 0 5px 11px 0px rgba(69, 90, 100, 0.3);
    }

    .widget-card i {
        position: absolute;
        right: -6px;
        bottom: -6px;
        font-size: 80px;
        font-weight: 200;
        opacity: 0.2;
        transition: all ease-in 0.3s;
        transform: rotate(15deg);
    }

    .widget-card:hover i {
        opacity: .4;
        transform: scale(1.1);
    }

    .widget-card .btn-primary {
        background-color: #75C045;
        border-color: #75C045;
    }

.bd-navbar {
    padding: .75rem 0;
    background-color: rgb(117,192,69);
    box-shadow: 0 0.5rem 1rem rgba(0,0,0,.1),inset 0 -1px 0 rgba(117,192,69,0.05);
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    z-index: 1020;
}

    .bd-navbar .navbar-toggler {
        padding: 0;
        border: 0
    }

    .bd-navbar .navbar-nav .nav-link {
        padding-right: 1rem;
        color: rgba(255,255,255,0.85)
    }

        .bd-navbar .navbar-nav .nav-link:hover, .bd-navbar .navbar-nav .nav-link:focus {
            color: #fff
        }

        .bd-navbar .navbar-nav .nav-link.active {
            font-weight: 600;
            color: #fff
        }

    .bd-navbar .navbar-nav-svg {
        width: 1rem;
        height: 1rem
    }

.btn-kk-launch {
    font-weight: 600;
    color: #ffe484;
    border-color: #ffe484;
}

    .btn-kk-launch:hover, .btn-kk-launch:active {
        color: #2a2730;
        background-color: #ffe484;
        border-color: #ffe484;
    }

    .btn-kk-launch:focus {
        box-shadow: 0 0 0 3px rgba(255,228,132,0.25);
    }

.kk-masthead {
    padding: 3rem 0;
    background: linear-gradient(165deg, #f7f5fb 50%, #fff 50%);
}

    .kk-masthead .h1 {
        font-size: calc(1.525rem + 3.3vw);
        line-height: 1;
    }

@media (min-width: 1200px) {
    .kk-masthead .h1 {
        font-size: 4rem;
    }
}

.kk-masthead p:not(.lead) {
    color: #495057
}

.kk-masthead .lead {
    font-size: calc(1.275rem + .3vw);
    font-weight: 400;
    color: #495057
}

@media (min-width: 1200px) {
    .kk-masthead .lead {
        font-size: 1.5rem
    }
}

.kk-masthead .leadsummary {
    font-size: calc(1.0rem + .2vw);
    font-weight: 400;
    color: #495057
}

@media (min-width: 1200px) {
    .kk-masthead .leadsummary {
        font-size: 1.2rem
    }
}

.bd-footer a {
    color: #495057;
    text-decoration: none;
}

.nav-link-kkuser {
    padding: 4.5px 0px;
    cursor: pointer;
}

.nav-link-kkuser-initials {
    line-height: 30px;
    text-align: center;
    width: 30px;
    height: 30px;
    background-color: #acb5ba;
    border-radius: 4px;
    color: #ffffff;
    font-size: 12px;
    text-transform: uppercase;
}

.bd-footer a:hover, .bd-footer a:focus {
    color: #0d6efd;
    text-decoration: underline;
}

.bd-main {
    grid-area: main;
}

@media (min-width: 768px) {
    .bd-main {
        display: grid;
        gap: inherit;
        grid-template-areas: "intro" "toc" "content";
        grid-template-rows: auto auto 1fr
    }
}

@media (min-width: 992px) {
    .bd-main {
        grid-template-areas: "intro   toc" "content toc";
        grid-template-columns: 4fr 1fr;
        grid-template-rows: auto 1fr
    }
}


/* Homepage 
------------------------------------*/

.wrapper.mvc-home-hero {
    background-image: url('https://knowledgekubecdnstorage.blob.core.windows.net/knowledgekube-license-management-app/images/mvc-home-hero-bg.jpg');
}

    .wrapper.mvc-home-hero h1 {
        color: #ffffff;
    }

    .wrapper.mvc-home-hero p {
        color: rgba(255,255,255,0.8);
    }

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Navigation
------------------------------------*/
nav.unauthorised li.nav-link a i {
    margin-left: 5px;
    margin-right: 0;
}

/* Dashboard tiles
------------------------------------*/
.mvc-pc {
    background-color: #ececec;
    height: 5px;
    position: relative;
    margin-bottom: 15px;
}

    .mvc-pc::after {
        content: '';
        position: absolute;
        left: 0;
        top: 0;
        height: 5px;
    }

    .mvc-pc.pc-20::after {
        width: 20%;
        background-color: #28a745;
    }

    .mvc-pc.pc-40::after {
        width: 40%;
        background-color: #28a745;
    }

    .mvc-pc.pc-60::after {
        width: 60%;
        background-color: #ff8401;
    }

    .mvc-pc.pc-80::after {
        width: 80%;
        background-color: #ff8401;
    }

    .mvc-pc.pc-100::after {
        width: 100%;
        background-color: #dc3545;
    }

.mvc-tile-buttons {
    height: 100px;
}

.mvc-tile-buttons-inner {
    text-align: center;
    position: absolute;
    bottom: 30px;
    left: 30px;
    width: calc(100% - 60px);
}

.mvc-tile-buttons .kk-button-link {
    height: 30px;
}


/* Utilities
-------------------------------------------------- */
.border-top {
    border-top: 1px solid #d1d7e2;
}

.border-bottom {
    border-bottom: 1px solid #d1d7e2;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

.notabsolute {
    position: inherit;
}

/* Media queries
-------------------------------------------------- */
@media (max-width: 992px) {
    .mvc-tile-buttons-inner {
        left: 15px;
        width: calc(100% - 30px);
    }
}


/* Overriding Swagger Styling
-------------------------------------------------- */
.swagger-ui .wrapper {
    padding: 0px !important;
}

.swagger-ui .scheme-container {
    padding: 30px 20px !important;
}